/* HOME PAGE */
.home-body{
    display: flex;
    background-color: black;
    color: white;
    width: 100vw;
    height: 100vh;
    margin: 0;
    padding: 0;
    border: none;

}
.menu-bar{
    display: flex;
    width: 100vw;
    height: 90px;
    gap: 290px;
    background-color: rgb(68, 65, 65);
    position: absolute;
}
.menu-button{
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    color: black;
    width: 250px;
    height: 60px;
    border: 0;
    border-radius: 10px;
    margin-top: 15px;
    margin-left: 20px;
    padding: none;
    font-size: 1.5em;
    transition: 2s;
}
.menu-button:hover{
    color: white;
    background-color: black;
    transition: 1.0s;
}
.resume-container{
    display: flex;
    color: black;
   /*background-color: rgb(163, 69, 69);*/ 
    position: absolute;
    top: 75%;
    left: 70%;
    width: 250px;
    height: 90px;
    justify-content: center;
    align-items: center;
    
}
.resume-button{
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-weight: 500;
    font-size: 1em;
    color: rgb(255, 255, 255);
    background-color:rgb(68, 65, 65);
    border-radius: 15px;
    width: 200px;
    height: 50px;
    border: 0;
    padding: 10px;
}
.resume-button:hover{
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-weight: 500;
    font-size: 1.2em;
    color:rgb(68, 65, 65);
    background-color:rgb(255, 255, 255);
    border-radius: 17px;
    width: 220px;
    height: 60px;
    border: 0;
    padding: 10px;
    transition: 1.5s;
}
.home-image{
   
    position: absolute;
    top: 20%;
    left: 7%;
    width: 450px;
    height: auto;

}
.home-image img {
    background-image: url(Images/IMG-20240619-WA0055\ copy.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%; /* Fills the container */
    height: auto; /* Maintains aspect ratio */
    object-fit: cover; /* Crops the image */
    border-top-left-radius: 1500px; /* Adjust for desired curve */
    border-top-right-radius: 1500px; /* Adjust for desired curve */
    background-repeat: no-repeat;
    box-shadow: 0 4px 8px rgb(246, 227, 227);
}
.name-title-container{
    display: flex;
    width: 500px;
    height: 200px;
    overflow: hidden;
    justify-content: center;
    align-items: center;
    position: absolute; /* Position it relative to the entire viewport */
    top: 40%; 
    left: 60%; 
    animation-name: slideRight;
    transition: transform 0.5s ease;
    animation-duration: 3s;
    transition: 1s;
    animation-direction: forwards;
    animation-timing-function: ease-in ease-in-out;  /* Make the animation smoothly end and not bounce */
}
@keyframes slideRight{     
    0% {
        transform: translateX(0); /* Original position */
      }
      50% {
        transform: translateX(250px); /* Move right */
      }
      100% {
        transform: translateX(0); /* Return to original smoothly */
      }
    }
.name-title{
    color: white;
    font-size: 4.0em;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-weight: 200;
    transition: 0.2s;
}  

/* ABOUT ME page*/
.about-heading{
    display: flex;
    font-family: 'Josefin Slab', serif;
    color: rgb(0, 0, 0);
    font-size: 1.5em;
    width: 200px;
    height: 40px;
    border-radius: 10px;
    padding: 10px;
    position: absolute;
    justify-content: center;
    align-items: center;
    top: 15%;
    left: 42%;
}
.about-info1{
    display: flex;
   background-color: rgb(2, 2, 70) ;
   border: 1px solid #ccc;
   color: rgb(255, 255, 255);
   width: 380px;
   height: 550px;
   border: 1px solid #ccc;
   box-shadow: 5px 10px 15px 10px rgba(0, 0, 0, 0.3);
   border-radius: 12px; 
   padding: 20px;
   line-height: 1.7;
   font-family: 'Josefin Slab', serif;
   position: absolute;
   top: 25%;
   left: 5%;
   font-size: 1.2em;
}
.about-info2{
    display: flex;
   background-color: rgb(2, 2, 70) ;
   border: 1px solid #ccc;
   color: rgb(255, 255, 255);
   width: 380px;
   height: 550px;
   border: 1px solid #ccc;
   box-shadow: 5px 10px 15px 10px rgba(0, 0, 0, 0.3);
   border-radius: 12px; 
   padding: 20px;
   line-height: 1.7;
   font-family: 'Josefin Slab', serif;
   position: absolute;
   top: 25%;
   left: 67%;
   font-size: 1.2em;
}
.about-info3{
    display: flex;
   background-color: rgb(2, 2, 70) ;
   border: 1px solid #ccc;
   color: rgb(255, 255, 255);
   width: 350px;
   height: 450px;
   border: 1px solid #ccc;
   box-shadow: 5px 10px 15px 10px rgba(0, 0, 0, 0.3);
   border-radius: 12px; 
   padding: 20px;
   line-height: 1.7;
   font-family: 'Josefin Slab', serif;
   position: absolute;
   top: 60%;
   left: 36%;
   font-size: 1.2em;
}
.about-info4{
    display: flex;
   background-color: rgb(2, 2, 70) ;
   border: 1px solid #ccc;
   color: rgb(255, 255, 255);
   width: 350px;
   height: 450px;
   border: 1px solid #ccc;
   box-shadow: 5px 10px 15px 10px rgba(0, 0, 0, 0.3);
   border-radius: 12px; 
   padding: 20px;
   line-height: 1.7;
   font-family: 'Josefin Slab', serif;
   position: absolute;
   top: 110%;
   left: 5%;
   font-size: 1.2em;
}

/*  CONTACT ME page*/
body.contact-page{
    background-color: rgb(255, 255, 255);
}
.contact-linkedin{
    display: flex;
   background-color: rgb(2, 2, 70) ;
   border: 1px solid #ccc;
   color: rgb(255, 255, 255);
   width: 350px;
   height: 350px;
   border: 1px solid #ccc;
   box-shadow: 5px 10px 15px 10px rgba(0, 0, 0, 0.3);
   border-radius: 12px; 
   padding: 20px;
   line-height: 1.7;
   font-family: 'Josefin Slab', serif;
   position: absolute;
   top: 25%;
   left: 5%;
   font-size: 1.2em;
}
.contact-linkedin:hover{
    width: 370px;
    height: 370px;
    font-size: 1.2em;
    transition: 1s ease-in-out;
    transform: scale(1.1);
 }
.fa-linkedin{
    font-size: 3em;
}
.contact-linkedin:hover .fa-linkedin{         /* Increase size of the envelope icon as its hovered upon */
    font-size: 4em; 
    transition: 1s ease-in-out;
}
.linkedin-text{
    display: flex;
   /* background-color: rgb(51, 46, 46); */
    width: auto;
    height: auto;
    margin-top: 40px;
    padding: 10px;
    font-family: 'Josefin Slab', serif;
    line-height: 1.7;
    font-weight: 500;
}
.contact-email{
    display: flex;
   background-color: rgb(2, 2, 70) ;
   border: 1px solid #ccc;
   color: rgb(255, 255, 255);
   width: 350px;
   height: 350px;
   border: 1px solid #ccc;
   box-shadow: 5px 10px 15px 10px rgba(0, 0, 0, 0.3);
   border-radius: 12px; 
   padding: 20px;
   line-height: 1.7;
   font-family: 'Josefin Slab', serif;
   position: absolute;
   top: 25%;
   left: 38%;
   font-size: 1.2em;
}
.contact-email:hover{
   width: 370px;
   height: 370px;
   font-size: 1.2em;
   transition: 1s ease-in-out ;
   transform: scale(1.1);
} 
.fa-envelope{           /* Style the envelope icon initially */
    font-size: 3em;
}
.contact-email:hover .fa-envelope {         /* Increase size of the envelope icon as its hovered upon relative to the container size*/
    font-size: 4em; 
    transition: 1s ease-in-out;
    color: inherit;
}
.email-text{
    display: flex;
   /* background-color: rgb(51, 46, 46); */
    width: auto;
    height: auto;
    margin-top: 40px;
    padding: 10px;
    font-family: 'Josefin Slab', serif;
    line-height: 1.7;
    font-weight: 500;
}
.contact-github{
    display: flex;
   background-color: rgb(2, 2, 70) ;
   border: 1px solid #ccc;
   color: rgb(255, 255, 255);
   width: 350px;
   height: 350px;
   border: 1px solid #ccc;
   box-shadow: 5px 10px 15px 10px rgba(0, 0, 0, 0.3);
   border-radius: 12px; 
   padding: 20px;
   line-height: 1.7;
   font-family: 'Josefin Slab', serif;
   position: absolute;
   top: 25%;
   left: 70%;
   font-size: 1.2em;
}
.contact-github:hover{
    width: 370px;
    height: 370px;
    font-size: 1.2em;
    transition: 1s ease-in-out;
    transform: scale(1.1);
 }
.fa-github{
    font-size: 3em;
}
.contact-github:hover .fa-github {         /* Increase size of the envelope icon as its hovered upon */
    font-size: 4em; 
    transition: 1s ease-in-out;
    color: inherit;
}
.github-text{
    display: flex;
    /* background-color: rgb(212, 101, 101); */ 
     width: auto;
     height: auto;
     margin-top: 60px;
     font-weight: 500;
     padding: 10px;
     line-height: 1.7;
     font-family: 'Josefin Slab', serif;
}

/* PROJECTS PAGE */
body.projects-page{
    background-color: white;
}
h3{
    text-decoration: none;
    color: white;
    border: none;
}
h3 a:visited {
    text-decoration: line-through; 
    color: rgb(108, 104, 104);
}
a {
    text-decoration: none;   /*this code removes all the text decoration from all the links in this website*/
}
.project1{
    display: flex;
    background-color: rgb(2, 2, 70) ;
    border: 1px solid #ccc;
    color: rgb(255, 255, 255);
    width: 350px;
    height: 450px;
    border: 1px solid #ccc;
    box-shadow: 5px 10px 15px 10px rgba(0, 0, 0, 0.3);
    border-radius: 12px; 
    padding: 20px;
    line-height: 1.7;
    font-family: 'Josefin Slab', serif;
    position: absolute;
    top: 25%;
    left: 7%;
    font-size: 1.2em;
}
.project2{
    display: flex;
    background-color: rgb(2, 2, 70) ;
    border: 1px solid #ccc;
    color: rgb(255, 255, 255);
    width: 350px;
    height: 450px;
    border: 1px solid #ccc;
    box-shadow: 5px 10px 15px 10px rgba(0, 0, 0, 0.3);
    border-radius: 12px; 
    padding: 20px;
    line-height: 1.7;
    font-family: 'Josefin Slab', serif;
    position: absolute;
    top: 25%;
    left: 65%;
    font-size: 1.2em;
}
.project3{
    display: flex;
    background-color: rgb(2, 2, 70) ;
    border: 1px solid #ccc;
    color: rgb(255, 255, 255);
    width: 350px;
    height: 450px;
    border: 1px solid #ccc;
    box-shadow: 5px 10px 15px 10px rgba(0, 0, 0, 0.3);
    border-radius: 12px; 
    padding: 20px;
    line-height: 1.7;
    font-family: 'Josefin Slab', serif;
    position: absolute;
    top: 70%;
    left: 36%;
    font-size: 1.2em;
}
.project-description{
    display: flex;
   /* background-color: rgb(0, 0, 0); */
    color: rgb(255, 255, 255);
    height: 200px;
    width: 300px;
    position: absolute;
    top: 25%;
    padding: 30px;


}
.upcoming-projects{
    display: flex;
    background-color: rgb(2, 2, 70) ;
    border: 1px solid #ccc;
    color: rgb(255, 255, 255);
    width: 350px;
    height: 450px;
    border: 1px solid #ccc;
    box-shadow: 5px 10px 15px 10px rgba(0, 0, 0, 0.3);
    border-radius: 12px; 
    padding: 20px;
    line-height: 1.7;
    font-family: 'Josefin Slab', serif;
    position: absolute;
    top: 130%;
    left: 7%;
    font-size: 1.2em;
}